"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const syntaxHighlighterAssetLoader_1 = require("./syntaxHighlighterAssetLoader");
const syntaxHighlighterTransform_1 = require("./syntaxHighlighterTransform");
const minifier_1 = require("./minifier");
const jsDomDocumentFactory_1 = require("./jsDomDocumentFactory");
const syntaxHighlighterDocumentManagerFactory_1 = require("./syntaxHighlighterDocumentManagerFactory");
const toggleDocumentManagerFactory_1 = require("./toggleDocumentManagerFactory");
function syntaxHighlighter(options) {
    options = options ? options : {};
    return new syntaxHighlighterTransform_1.SyntaxHighlighterTransform(options, new syntaxHighlighterAssetLoader_1.SyntaxHighlighterAssetLoader(), new minifier_1.Minifier(), new jsDomDocumentFactory_1.JsDomDocumentFactory(), new syntaxHighlighterDocumentManagerFactory_1.SyntaxHighlighterDocumentManagerFactory(), new toggleDocumentManagerFactory_1.ToggleDocumentManagerFactory());
}
exports.syntaxHighlighter = syntaxHighlighter;
