"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const uglifycss_1 = require("uglifycss");
const uglify_js_1 = require("uglify-js");
class Minifier {
    initialize(minify) {
        this.minifies = minify;
    }
    minifyScript(script) {
        if (this.minifies) {
            const minifiedOutput = uglify_js_1.minify(script);
            if (minifiedOutput.error) {
                throw minifiedOutput.error;
            }
            if (minifiedOutput.warnings) {
                minifiedOutput.warnings.forEach(w => console.log(w));
            }
            script = minifiedOutput.code;
        }
        return script;
    }
    minifyCss(toMinify) {
        return this.minifies ? uglifycss_1.processString(toMinify) : toMinify;
    }
}
exports.Minifier = Minifier;
