/// <reference path="../../toggle/src/toggleDefns.d.ts" />
/// <reference types="vinyl" />
import { File } from 'gulptransformbase';
export declare type IClassNames = Partial<ClassNames>;
export declare type IToggleConfigMessages = Partial<ToggleConfigMessages>;
export interface IToggleConfig {
    createToggleFn?: string;
    customCss?: string;
    toggleState?: "Show" | "Hide";
    messages?: IToggleConfigMessages;
    classNames?: IClassNames;
}
export interface GulpSyntaxHighlighterOptions {
    isPartialFn?: (html: string, file: File) => boolean;
    useMinifiedSyntaxHighlighter?: boolean;
    minifiedOutput?: boolean;
    theme?: string;
    customTheme?: string;
    additionalCss?: string;
    globalParams?: {
        /** Additional CSS class names to be added to highlighter elements. */
        /** default '' */
        "class-name"?: string;
        /** First line number. */
        /** Default 1 */
        "first-line"?: number;
        /**
         * Pads line numbers. Possible values are:
         *
         *   false - don't pad line numbers. ( default )
         *   true  - automaticaly pad numbers with minimum required number of leading zeroes.
         *   [int] - length up to which pad line numbers.
         */
        'pad-line-numbers'?: boolean;
        /** Lines to highlight. */
        'highlight'?: number[];
        /** Title to be displayed above the code block. */
        'title'?: string;
        /** Enables or disables smart tabs. */
        /** default true */
        'smart-tabs'?: boolean;
        /** Gets or sets tab size. */
        /** Default 4 */
        'tab-size'?: number;
        /** Enables or disables gutter. */
        /** default true */
        'gutter'?: boolean;
        /** Enables or disables toolbar. */
        /** Default true */
        /** Enables quick code copy and paste from double click. */
        /** default true */
        /** Forces code view to be collapsed. */
        /** Enables or disables automatic links. */
        /** default true */
        'auto-links'?: boolean;
        /** Gets or sets light mode. Equavalent to turning off gutter and toolbar. */
        /** default false */
        /** default true */
        'unindent'?: boolean;
        'html-script'?: false;
    };
    config?: {
        space?: string;
        /** Enables use of <SCRIPT type="syntaxhighlighter" /> tags. */
        /** default true */
        useScriptTags?: boolean;
        /** Blogger mode flag. */
        /** default false */
        bloggerMode?: boolean;
        stripBrs?: boolean;
        /** Name of the tag that SyntaxHighlighter will automatically look for. */
        /** default pre */
        tagName?: string;
    };
    toggleConfig?: IToggleConfig;
}
