"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const fs = __importStar(require("fs"));
const fileHelper_1 = require("./fileHelper");
class SyntaxHighlighterAssetLoader {
    getShCore(minified) {
        const shCorePath = "shCore" + this.getJsExtension(minified);
        return fs.readFileSync(path.resolve(__dirname, shCorePath), "utf8");
    }
    getBrushFiles(minified) {
        return fileHelper_1.getFilteredFilesFromDirectoryDeep(__dirname, (f, fn) => {
            if (fn.startsWith("shBrush")) {
                if (minified) {
                    return fn.endsWith(".min.js");
                }
                else {
                    return fn.endsWith(".js") && !fn.endsWith(".min.js");
                }
            }
            return false;
        });
    }
    getJsExtension(minified) {
        return minified ? ".min.js" : ".js";
    }
    getScripts(minified) {
        return [this.getShCore(minified)].concat(this.getBrushFiles(minified).map(f => fs.readFileSync(f, "utf8")));
    }
    getTheme(minified, theme) {
        const themeFileName = "shCore" + theme + (minified ? ".min" : "") + ".css";
        const themePath = path.resolve(__dirname, themeFileName);
        return fs.readFileSync(themePath, "utf8");
    }
}
exports.SyntaxHighlighterAssetLoader = SyntaxHighlighterAssetLoader;
