import { GulpSyntaxHighlighterOptions } from './publicInterfaces';
import { ISyntaxHighlighterDocumentManager, IJsDomDocument, IMinifier, ISyntaxHighlighterAssetLoader, SyntaxHighlighterGlobalParamsNoToolbar } from './interfaces';
export declare class SyntaxHighlighterDocumentManager implements ISyntaxHighlighterDocumentManager {
    private readonly jsDomDocument;
    private readonly minifier;
    private readonly assetLoader;
    constructor(jsDomDocument: IJsDomDocument, minifier: IMinifier, assetLoader: ISyntaxHighlighterAssetLoader);
    addSyntaxHighlighterScripts(useMinifiedSyntaxHighlighter: boolean): void;
    addCustomTheme(customTheme: string): void;
    addAdditionalCss(additionalCss: string): void;
    addNamedTheme(themeName: string): void;
    private addMinifiableTheme;
    private addTheme;
    private getHighlightScript;
    applySyntaxHighlighter(globalParams: SyntaxHighlighterGlobalParamsNoToolbar, config: GulpSyntaxHighlighterOptions["config"]): void;
}
