/// <reference types="vinyl" />
/// <reference types="node" />
import { GulpTransformBase, File, TransformCallback } from "gulptransformbase";
import { IMinifier, IJsDomDocumentFactory, ISyntaxHighlighterDocumentManagerFactory, ISyntaxHighlighterAssetLoader, IToggleDocumentManagerFactory } from './interfaces';
import { GulpSyntaxHighlighterOptions } from './publicInterfaces';
export declare class SyntaxHighlighterTransform extends GulpTransformBase<GulpSyntaxHighlighterOptions> {
    private readonly assetLoader;
    private readonly minifier;
    private readonly jsDomDocumentFactory;
    private readonly syntaxHighlighterDocumentManagerFactory;
    private readonly toggleDocumentManagerFactory;
    private globalParams;
    private config;
    private themeName;
    private useMinifiedSyntaxHighlighter;
    private isPartial;
    private html;
    private file;
    private jsDomDocument;
    constructor(options: GulpSyntaxHighlighterOptions, assetLoader: ISyntaxHighlighterAssetLoader, minifier: IMinifier, jsDomDocumentFactory: IJsDomDocumentFactory, syntaxHighlighterDocumentManagerFactory: ISyntaxHighlighterDocumentManagerFactory, toggleDocumentManagerFactory: IToggleDocumentManagerFactory);
    private initializeMinifier;
    protected transformBufferFile(file: File, contents: Buffer, encoding: string, cb: TransformCallback): void;
    private setUpToggle;
    private setUpSyntaxHighlighter;
    private getNewContents;
}
